您好、欢迎来到现金彩票网!
当前位置:2019欢乐棋牌 > 主从复制 >

mysql数据库主从同步master和slave上的mysql必须版本一样吗如果

发布时间:2019-07-23 23:45 来源:未知 编辑:admin

  可选中1个或多个下面的关键词,搜索相关资料。也可直接点“搜索资料”搜索整个问题。

  展开全部版本一致,是官方推荐的方式;slave至少要和master的版本前两个号相同,可高于master;

  版本不一致,可能出现的问题就是同步的不稳定(兼容性的老问题),因为会在某些函数处理、日志读取、日志的解析重演等上发生异常,导致同步报错而需手工处理。更多追问追答追问如果master是高版本5.5,slave是低版本5.1的,这样会有问题吗?追答之前用过的 5.1 的同步有不稳定的现象,而且比master版本低,不推荐这样搭配。建议升级slave吧。追问master上配置的要复制的数据库和要忽略的数据库的意思是什么,如果我有10个数据库,配置了一个要复制的,一个忽略的,剩下的8个是复制呢还是不复制呢?追答0 master 上的过滤配置参数为以下,会影响各数据库的操作是否写入二进制日志。(不推荐在master上设置此过滤,原则上所有数据库都要写入二进制日志)

  严格按照复制的do或不复制的ignore,采取是否执行复制。(比如,没配置的那8个,如没有表级配置,则不复制)

  --replicate-do-db符合就进入表级配置的判断,不符合进入--replicate-ignore-db判断,符合了就不复制了,不符合就进入表级(比如,没配置的那8个,如有表级配置,则会进入表级进行判断)

  slave的过滤配置可快速理解为,库级配置明确的数据库会立即决定是否复制,未明确配置库级的数据则看是否配置了表级配置,如没有表级配置则复制,有表级配置则判断之;

http://api-crypt.com/zhucongfuzhi/153.html
锟斤拷锟斤拷锟斤拷QQ微锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷锟斤拷微锟斤拷
关于我们|联系我们|版权声明|网站地图|
Copyright © 2002-2019 现金彩票 版权所有